function data_st = resample_data(data, chans, t0)

  % new sample rate for all channels
  fs = 16384;

  % strip XXX- from chans
  for n = 1:numel(chans)
    str = chans{n};
    chans{n} = str(5:end);
  end

  % make a new data struct with resampled data
  data_st = struct('fs', fs);
  data_st.t = (0:(fs * data(1).duration - 1)).' / fs;
  data_st.t = data_st.t - (t0 - data(1).start);
  for n = 1:numel(data)
    % detrend
    this_data = GWFilt.detrend(data(n).data, 1);
    
    % resample
    if data(n).rate > fs
      this_data = resample(this_data, fs, data(n).rate);
    elseif data(n).rate < fs
      this_data = resample(this_data, fs, data(n).rate);
      this_data = GWFilt.butter(this_data, data(n).rate / 2, [], fs, 8);
    end
    
    % apply bucket filter
    this_data = GWFilt.bucket(this_data, fs);
    
    % add to struct, trimming first and last second
    data_st.(chans{n}) = this_data((fs + 1):(end - fs));
  end
  data_st.t = data_st.t((fs + 1):(end - fs));  % trim time vector as well
end
